use structopt::StructOpt;
use std::{
    net::IpAddr,
    path::PathBuf,
};

#[derive(Debug, StructOpt)]
pub struct Options {
    /// Path to config
    #[structopt(short, long, value_name = "path", default_value = crate::DEFAULT_CONFIG_PATH)]
    pub config: PathBuf,

    /// Don't use config
    #[structopt(short = "C", long)]
    pub no_config: bool,

    /// Path to database
    #[structopt(short, long, value_name = "path", default_value = crate::DEFAULT_DATABASE_PATH)]
    pub database_path: PathBuf,

    /// Prints default config
    #[structopt(long)]
    pub generate_config: bool,

    /// IP address to bind to
    #[structopt(short = "a", long, value_name = "ip", default_value = crate::DEFAULT_IP_ADDRESS_STR)]
    pub ip_address: IpAddr,

    /// Port to bind to
    #[structopt(short, long, value_name = "port", default_value = crate::DEFAULT_PORT_STR)]
    pub port: u16,
}